Update order status
Transitions an existing submitted order with validation of allowed transitions. Draft submission is owned exclusively by POST /orders/:id/submit so phase materialization and promotion remain atomic.
Transitions an existing submitted order with validation of allowed transitions. Draft submission is owned exclusively by POST /orders/:id/submit so phase materialization and promotion remain atomic.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Order ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/status" \ -H "Content-Type: application/json" \ -d '{ "status": "draft" }'{ "order": null, "statusHistory": [ { "id": "string", "fromStatus": "string", "toStatus": "string", "changedBy": "string", "changedByName": "string", "changedByActorKind": "system", "notes": "string", "createdAt": "string" } ]}Empty
Empty
Empty
Empty
Empty